summaryrefslogtreecommitdiff
path: root/gnome-base
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-01-11 13:57:25 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-01-11 13:57:25 +0200
commit219f54b8ac783eaa9e507af1ba16f7f9621b5164 (patch)
treeef6dcd7294e6e90b41d6da3921e94681dfa101ed /gnome-base
parentddc1ef28caf65437af8aed981a8198b3f5392c78 (diff)
Added nautilus
Diffstat (limited to 'gnome-base')
-rw-r--r--gnome-base/nautilus/Manifest6
-rw-r--r--gnome-base/nautilus/nautilus-3.12.0.ebuild131
-rw-r--r--gnome-base/nautilus/nautilus-3.12.2.ebuild131
-rw-r--r--gnome-base/nautilus/nautilus-3.14.2.ebuild131
4 files changed, 396 insertions, 3 deletions
diff --git a/gnome-base/nautilus/Manifest b/gnome-base/nautilus/Manifest
index 8ca091c3..206454bb 100644
--- a/gnome-base/nautilus/Manifest
+++ b/gnome-base/nautilus/Manifest
@@ -1,3 +1,3 @@
-DIST nautilus-3.10.1.tar.xz 3334432 SHA256 f6a532a170907d116e8ce55847c5c6cd4e03819f5f818087554f2ec2556fc727 SHA512 a201d661104025b4b5ef4d0aa8ba7d083bb60e164c948e9932a78967f4046cc6e3afe7dcd5d20cfb99f500c4561555022cce4c39f2acc72370a515141798e90c WHIRLPOOL f9ab9305ea528233f1e318b2b96323d4568ac2c7880921a4700b01fc7510bd447bcfb90091655dd02f850cf508211d8abbaea5321c16ea62d2876175726900f8
-DIST nautilus-3.6.3.tar.xz 4959376 SHA256 d272027754ce8591959ae854fc6b5f43eee4af31e4eecf06de727acebe0ee46c SHA512 f90ed3253889764dc3799e53555a9d6e84876b5d5ea020ba34b643df460f703acbba85bba0cf468ea7d614ec954b49304e46a27d46459b4aaa7e53ecd9467895 WHIRLPOOL afe1f70635899aaa3e7b8df575cef9f810c84acd1c63c5a1359584274c689872b1fdfc5e31a6964a419ee0e85c2cacce357a2098052db24d46a980363fd7c923
-DIST nautilus-3.8.2.tar.xz 5024048 SHA256 dbddfdaac52d077d46d48a2f8dbecf6d13788d8f6b5fc9aa70826a24681d8a75 SHA512 bca8d37e43863c2eca79f060eb380f4c81f480811348e3c0c2f641c99162cc9043599b14ab405713b9f2063214727918f8818a7ea97d4a327bbb245825a56cc2 WHIRLPOOL f92b8b82370d72d853295a8c55f9735b71491efe30b61fad0b9db0657f1cec7bfa26f38f995a21e01f076df984c7e0b27d71a7127ab1b3aaf206069d4c7acc35
+DIST nautilus-3.12.0.tar.xz 3350956 SHA256 c19af20ab1fadf04bebee7ec8d3375c5efbe27bb6e0b7d3a60369523baf5e4df SHA512 e42eef48564c8b1fd0cb1cadee285be0c8b1e0840527498f4e4e2d25719d31d3dc1c780cd09e521f187ed98502e0b223aaac589ca22bdc6a4e3bd4c3495feb7d WHIRLPOOL a6a41a4134874efc5b36f992f00b6d0aca14659ad6747dd0ce760ee20458982094b3cf525d83c6df8376a93b3d4ef8667d2f03abb2f9f91097312804a024724a
+DIST nautilus-3.12.2.tar.xz 4975580 SHA256 969c2bedc324eab7b9399bdb3a7db61f819a2995c733349ded081b059a1cafb1 SHA512 59a80fef3cedff5393061aeead552eec80bbd920ae71b918bb21ca6fc59ba1c4e85c641885a12dde5208345b8659f9d4a6e1ddf865f4cb94afd5a3a339839c01 WHIRLPOOL cc9369b606ee4c6727aba89240a17ef007e26c1c5c6cc54a92cb83d098a51ac1424431462125ba56564cad9e26023c489ada96ff5e6037eaf49537b9e76e49fe
+DIST nautilus-3.14.2.tar.xz 3344428 SHA256 b2c9e13ba896a15101abf5d5fe30e291243e6030e0c84e8eb5df1e7bd90c10a5 SHA512 9d07878fc2474c7444fb7c573ce1886514b82ecb386365e608de81473184791daf17875b7ea471a7bef2c84df0d6d06b207223c7b5ec64d195e46865440ceff6 WHIRLPOOL c29af2fe684abeeffe58d6ba872b97b846db5d97cace8b73196fb77a024262f82df1908bac975b67938db9a12091dee681f1d827a551eb2610d11a6db2164495
diff --git a/gnome-base/nautilus/nautilus-3.12.0.ebuild b/gnome-base/nautilus/nautilus-3.12.0.ebuild
new file mode 100644
index 00000000..2f920a72
--- /dev/null
+++ b/gnome-base/nautilus/nautilus-3.12.0.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes" # Needed with USE 'sendto'
+
+inherit eutils gnome2 readme.gentoo virtualx
+
+DESCRIPTION="A file manager for the GNOME desktop"
+HOMEPAGE="http://live.gnome.org/Nautilus"
+
+LICENSE="GPL-2+ LGPL-2+ FDL-1.1"
+SLOT="0"
+
+# profiling?
+IUSE="debug exif gnome +introspection packagekit +previewer sendto tracker xmp"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux"
+
+# FIXME: tests fails under Xvfb, but pass when building manually
+# "FAIL: check failed in nautilus-file.c, line 8307"
+RESTRICT="test"
+
+# FIXME: selinux support is automagic
+# Require {glib,gdbus-codegen}-2.30.0 due to GDBus API changes between 2.29.92
+# and 2.30.0
+COMMON_DEPEND="
+ >=dev-libs/glib-2.35.3:2
+ >=x11-libs/pango-1.28.3
+ >=x11-libs/gtk+-3.11.6:3[introspection?]
+ >=dev-libs/libxml2-2.7.8:2
+ >=gnome-base/gnome-desktop-3:3=
+
+ gnome-base/dconf
+ >=gnome-base/gsettings-desktop-schemas-3.8.0
+ >=x11-libs/libnotify-0.7:=
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrender
+
+ exif? ( >=media-libs/libexif-0.6.20 )
+ introspection? ( >=dev-libs/gobject-introspection-0.6.4 )
+ tracker? ( >=app-misc/tracker-0.16:= )
+ xmp? ( >=media-libs/exempi-2.1.0 )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-lang/perl-5
+ >=dev-util/gdbus-codegen-2.33
+ >=dev-util/gtk-doc-am-1.4
+ >=dev-util/intltool-0.40.1
+ sys-devel/gettext
+ virtual/pkgconfig
+ x11-proto/xproto
+"
+RDEPEND="${COMMON_DEPEND}
+ packagekit? ( app-admin/packagekit-base )
+ sendto? ( !<gnome-extra/nautilus-sendto-3.0.1 )
+"
+
+# For eautoreconf
+# gnome-base/gnome-common
+# dev-util/gtk-doc-am"
+
+PDEPEND="
+ gnome? (
+ >=x11-themes/gnome-icon-theme-1.1.91
+ x11-themes/gnome-icon-theme-symbolic )
+ tracker? ( >=gnome-extra/nautilus-tracker-tags-0.12 )
+ previewer? ( >=gnome-extra/sushi-0.1.9 )
+ sendto? ( >=gnome-extra/nautilus-sendto-3.0.1 )
+ >=gnome-base/gvfs-1.14[gtk]
+"
+# Need gvfs[gtk] for recent:/// support
+
+src_prepare() {
+ if use previewer; then
+ DOC_CONTENTS="nautilus uses gnome-extra/sushi to preview media files.
+ To activate the previewer, select a file and press space; to
+ close the previewer, press space again."
+ fi
+
+ # Restore the nautilus-2.x Delete shortcut (Ctrl+Delete will still work);
+ # bug #393663
+ epatch "${FILESDIR}/${PN}-3.5.91-delete.patch"
+
+ # Sabayon, fix icons setup during Live system autostart (first boot only)
+ epatch "${FILESDIR}/${PN}-3.0.2-fix-autostart-live-boot.patch"
+
+ # Remove -D*DEPRECATED flags. Don't leave this for eclass! (bug #448822)
+ sed -e 's/DISABLE_DEPRECATED_CFLAGS=.*/DISABLE_DEPRECATED_CFLAGS=/' \
+ -i configure || die "sed failed"
+ gnome2_src_prepare
+}
+
+src_configure() {
+ DOCS="AUTHORS HACKING MAINTAINERS NEWS README* THANKS"
+ gnome2_src_configure \
+ --disable-profiling \
+ --disable-update-mimedb \
+ $(use_enable debug) \
+ $(use_enable exif libexif) \
+ $(use_enable introspection) \
+ $(use_enable packagekit) \
+ $(use_enable sendto nst-extension) \
+ $(use_enable tracker) \
+ $(use_enable xmp)
+}
+
+src_test() {
+ gnome2_environment_reset
+ unset DBUS_SESSION_BUS_ADDRESS
+ export GSETTINGS_BACKEND="memory"
+ Xemake check
+ unset GSETTINGS_BACKEND
+}
+
+src_install() {
+ use previewer && readme.gentoo_create_doc
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if use previewer; then
+ readme.gentoo_print_elog
+ else
+ elog "To preview media files, emerge nautilus with USE=previewer"
+ fi
+}
diff --git a/gnome-base/nautilus/nautilus-3.12.2.ebuild b/gnome-base/nautilus/nautilus-3.12.2.ebuild
new file mode 100644
index 00000000..494a1849
--- /dev/null
+++ b/gnome-base/nautilus/nautilus-3.12.2.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes" # Needed with USE 'sendto'
+
+inherit eutils gnome2 readme.gentoo virtualx
+
+DESCRIPTION="A file manager for the GNOME desktop"
+HOMEPAGE="https://wiki.gnome.org/Apps/Nautilus"
+
+LICENSE="GPL-2+ LGPL-2+ FDL-1.1"
+SLOT="0"
+
+# profiling?
+IUSE="debug exif gnome +introspection packagekit +previewer sendto tracker xmp"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux"
+
+# FIXME: tests fails under Xvfb, but pass when building manually
+# "FAIL: check failed in nautilus-file.c, line 8307"
+RESTRICT="test"
+
+# FIXME: selinux support is automagic
+# Require {glib,gdbus-codegen}-2.30.0 due to GDBus API changes between 2.29.92
+# and 2.30.0
+COMMON_DEPEND="
+ >=dev-libs/glib-2.35.3:2
+ >=x11-libs/pango-1.28.3
+ >=x11-libs/gtk+-3.11.6:3[introspection?]
+ >=dev-libs/libxml2-2.7.8:2
+ >=gnome-base/gnome-desktop-3:3=
+
+ gnome-base/dconf
+ >=gnome-base/gsettings-desktop-schemas-3.8.0
+ >=x11-libs/libnotify-0.7:=
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrender
+
+ exif? ( >=media-libs/libexif-0.6.20 )
+ introspection? ( >=dev-libs/gobject-introspection-0.6.4 )
+ tracker? ( >=app-misc/tracker-0.16:= )
+ xmp? ( >=media-libs/exempi-2.1.0 )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-lang/perl-5
+ >=dev-util/gdbus-codegen-2.33
+ >=dev-util/gtk-doc-am-1.4
+ >=dev-util/intltool-0.40.1
+ sys-devel/gettext
+ virtual/pkgconfig
+ x11-proto/xproto
+"
+RDEPEND="${COMMON_DEPEND}
+ packagekit? ( app-admin/packagekit-base )
+ sendto? ( !<gnome-extra/nautilus-sendto-3.0.1 )
+"
+
+# For eautoreconf
+# gnome-base/gnome-common
+# dev-util/gtk-doc-am"
+
+PDEPEND="
+ gnome? (
+ >=x11-themes/gnome-icon-theme-1.1.91
+ x11-themes/gnome-icon-theme-symbolic )
+ tracker? ( >=gnome-extra/nautilus-tracker-tags-0.12 )
+ previewer? ( >=gnome-extra/sushi-0.1.9 )
+ sendto? ( >=gnome-extra/nautilus-sendto-3.0.1 )
+ >=gnome-base/gvfs-1.14[gtk]
+"
+# Need gvfs[gtk] for recent:/// support
+
+src_prepare() {
+ if use previewer; then
+ DOC_CONTENTS="nautilus uses gnome-extra/sushi to preview media files.
+ To activate the previewer, select a file and press space; to
+ close the previewer, press space again."
+ fi
+
+ # Restore the nautilus-2.x Delete shortcut (Ctrl+Delete will still work);
+ # bug #393663
+ epatch "${FILESDIR}/${PN}-3.5.91-delete.patch"
+
+ # Sabayon, fix icons setup during Live system autostart (first boot only)
+ epatch "${FILESDIR}/${PN}-3.0.2-fix-autostart-live-boot.patch"
+
+ # Remove -D*DEPRECATED flags. Don't leave this for eclass! (bug #448822)
+ sed -e 's/DISABLE_DEPRECATED_CFLAGS=.*/DISABLE_DEPRECATED_CFLAGS=/' \
+ -i configure || die "sed failed"
+ gnome2_src_prepare
+}
+
+src_configure() {
+ DOCS="AUTHORS HACKING MAINTAINERS NEWS README* THANKS"
+ gnome2_src_configure \
+ --disable-profiling \
+ --disable-update-mimedb \
+ $(use_enable debug) \
+ $(use_enable exif libexif) \
+ $(use_enable introspection) \
+ $(use_enable packagekit) \
+ $(use_enable sendto nst-extension) \
+ $(use_enable tracker) \
+ $(use_enable xmp)
+}
+
+src_test() {
+ gnome2_environment_reset
+ unset DBUS_SESSION_BUS_ADDRESS
+ export GSETTINGS_BACKEND="memory"
+ Xemake check
+ unset GSETTINGS_BACKEND
+}
+
+src_install() {
+ use previewer && readme.gentoo_create_doc
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if use previewer; then
+ readme.gentoo_print_elog
+ else
+ elog "To preview media files, emerge nautilus with USE=previewer"
+ fi
+}
diff --git a/gnome-base/nautilus/nautilus-3.14.2.ebuild b/gnome-base/nautilus/nautilus-3.14.2.ebuild
new file mode 100644
index 00000000..ca9c0bfb
--- /dev/null
+++ b/gnome-base/nautilus/nautilus-3.14.2.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/gnome-base/nautilus/nautilus-3.14.2.ebuild,v 1.1 2014/12/22 21:36:54 eva Exp $
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes" # Needed with USE 'sendto'
+
+inherit eutils gnome2 readme.gentoo virtualx
+
+DESCRIPTION="A file manager for the GNOME desktop"
+HOMEPAGE="https://wiki.gnome.org/Apps/Nautilus"
+
+LICENSE="GPL-2+ LGPL-2+ FDL-1.1"
+SLOT="0"
+
+# profiling?
+IUSE="debug exif gnome +introspection packagekit +previewer sendto tracker xmp"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux"
+
+# FIXME: tests fails under Xvfb, but pass when building manually
+# "FAIL: check failed in nautilus-file.c, line 8307"
+RESTRICT="test"
+
+# FIXME: selinux support is automagic
+# Require {glib,gdbus-codegen}-2.30.0 due to GDBus API changes between 2.29.92
+# and 2.30.0
+COMMON_DEPEND="
+ >=dev-libs/glib-2.35.3:2
+ >=x11-libs/pango-1.28.3
+ >=x11-libs/gtk+-3.13.2:3[introspection?]
+ >=dev-libs/libxml2-2.7.8:2
+ >=gnome-base/gnome-desktop-3:3=
+
+ gnome-base/dconf
+ >=gnome-base/gsettings-desktop-schemas-3.8.0
+ >=x11-libs/libnotify-0.7:=
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrender
+
+ exif? ( >=media-libs/libexif-0.6.20 )
+ introspection? ( >=dev-libs/gobject-introspection-0.6.4 )
+ tracker? ( >=app-misc/tracker-0.16:= )
+ xmp? ( >=media-libs/exempi-2.1.0 )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-lang/perl-5
+ >=dev-util/gdbus-codegen-2.33
+ >=dev-util/gtk-doc-am-1.4
+ >=dev-util/intltool-0.40.1
+ sys-devel/gettext
+ virtual/pkgconfig
+ x11-proto/xproto
+"
+RDEPEND="${COMMON_DEPEND}
+ packagekit? ( app-admin/packagekit-base )
+ sendto? ( !<gnome-extra/nautilus-sendto-3.0.1 )
+"
+
+# For eautoreconf
+# gnome-base/gnome-common
+# dev-util/gtk-doc-am"
+
+PDEPEND="
+ gnome? (
+ >=x11-themes/gnome-icon-theme-1.1.91
+ x11-themes/gnome-icon-theme-symbolic )
+ tracker? ( >=gnome-extra/nautilus-tracker-tags-0.12 )
+ previewer? ( >=gnome-extra/sushi-0.1.9 )
+ sendto? ( >=gnome-extra/nautilus-sendto-3.0.1 )
+ >=gnome-base/gvfs-1.14[gtk]
+"
+# Need gvfs[gtk] for recent:/// support
+
+src_prepare() {
+ if use previewer; then
+ DOC_CONTENTS="nautilus uses gnome-extra/sushi to preview media files.
+ To activate the previewer, select a file and press space; to
+ close the previewer, press space again."
+ fi
+
+ # Sabayon, fix icons setup during Live system autostart (first boot only)
+ epatch "${FILESDIR}/${PN}-3.0.2-fix-autostart-live-boot.patch"
+
+ # Restore the nautilus-2.x Delete shortcut (Ctrl+Delete will still work);
+ # bug #393663
+ epatch "${FILESDIR}/${PN}-3.5.91-delete.patch"
+
+ # Remove -D*DEPRECATED flags. Don't leave this for eclass! (bug #448822)
+ sed -e 's/DISABLE_DEPRECATED_CFLAGS=.*/DISABLE_DEPRECATED_CFLAGS=/' \
+ -i configure || die "sed failed"
+ gnome2_src_prepare
+}
+
+src_configure() {
+ DOCS="AUTHORS HACKING MAINTAINERS NEWS README* THANKS"
+ gnome2_src_configure \
+ --disable-profiling \
+ --disable-update-mimedb \
+ $(use_enable debug) \
+ $(use_enable exif libexif) \
+ $(use_enable introspection) \
+ $(use_enable packagekit) \
+ $(use_enable sendto nst-extension) \
+ $(use_enable tracker) \
+ $(use_enable xmp)
+}
+
+src_test() {
+ gnome2_environment_reset
+ unset DBUS_SESSION_BUS_ADDRESS
+ export GSETTINGS_BACKEND="memory"
+ Xemake check
+ unset GSETTINGS_BACKEND
+}
+
+src_install() {
+ use previewer && readme.gentoo_create_doc
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if use previewer; then
+ readme.gentoo_print_elog
+ else
+ elog "To preview media files, emerge nautilus with USE=previewer"
+ fi
+}